﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using Telerik.Core;

namespace DataGridDropDownRepo
{
    public class MainViewModel : ViewModelBase
    {
        private ObservableCollection<DataItem> cars;

        public MainViewModel()
        {
            
        }

        public ObservableCollection<DataItem> Cars => cars ?? (cars = new ObservableCollection<DataItem>
        {
            new DataItem { Item = "car", Brand = "Honda", Brands = new List<string> { "Honda", "Volvo", "Mercedes" } },
            new DataItem { Item = "bike", Brand = "Scott", Brands = new List<string> { "Scott", "Giant", "Trek" } }
        });
        
    }

    public class DataItem
    {
        public string Brand { get; set; }

        public string Item { get; set; }

        public List<string> Brands { get; set; }
    }
}
